<!DOCTYPE html>
<html xmlns:th="http://www.thymeleaf.org">

<head>
  <!-- Required meta tags -->
  <meta charset="utf-8" />
  <meta name="viewport" content="width=device-width, initial-scale=1" />

  <link rel="stylesheet" href="slyte.css" />

  <link rel="preconnect" href="https://fonts.googleapis.com">
  <link rel="preconnect" href="https://fonts.gstatic.com" crossorigin>
  <link href="https://fonts.googleapis.com/css2?family=Kanit:wght@300&display=swap" rel="stylesheet">

  <!-- Bootstrap CSS -->
  <link href="https://cdn.jsdelivr.net/npm/bootstrap@5.1.3/dist/css/bootstrap.min.css" rel="stylesheet"
    integrity="sha384-1BmE4kWBq78iYhFldvKuhfTAU6auU8tT94WrHftjDbrCEXSU1oBoqyl2QvZ6jIW3" crossorigin="anonymous" />

  <title>Covid-19</title>
</head>

<body>
  <nav class="navbar">
    <div class="container align-items-center">
      <div onclick="location.href='/';" class="navbar-brand-box d-flex align-items-center">
        <img src="images/virus.png" width="80" height="80" alt="" />
        <a class="navbar-brand active" style="font-size: clamp(20px, 2.5vw, 40px);"><b>COVONG COVID DELIVERY</b></a>
      </div>
      <div class="d-flex justify-content-center align-items-center">
        <div class="me-2">
          <label id="register-title" class="mt-0  register-text register-message-status" for="Email">สมัครรับข้อมูลทางอีเมล</label>
          <input id="register-input-email" class="form-control me-2 p-1" type="email" placeholder="Email" aria-label="email" />
          <label onclick="hide_text(this)" id="register-message-status" class="mt-0 register-text" for="Email"></label>
        </div>
        <div style="margin-top: 32px; width: 90px;">
          <button id="register-button-submit" class="btn fs-6 text-white border-0" type="button">สมัคร</button>
          <label  onclick="register_mode_toggle()" id="register-link-other" class="register-text">ยกเลิกรับข้อมูล</label>
        </div>
      </div>
    </div>
  </nav>
  <div class="bg-image" style="height: 83.6vh;">
    <div class="container h-90 shadow p-3 mb-5 bg-body" style="background-color: #FCF3F3;">
      <div class="container-fluid">
        <div class="row">
          <div class="col">
            <div class="row row-cols-2 d-flex justify-content-evenly p-2"
              style="background-color: #E5E2F3; border-radius: 20px;">

              <!-- อัพเดทยอดโควิด-19 ประจำวันที่ -->
              <div class="col text-center pt-2"
                style="height: 17vh; border: 5px solid #E5E2F3; border-radius: 20px; background-color: #7251BC;">
                <span><b>อัพเดตยอดโควิด-19 ประจำวันที่</b> </span>
                <label class="d-flex justify-content-center align-items-end"><b
                    th:text="${covid_information.txnDate}" /></label>
              </div>

              <!-- จำนวนผู้ป่วยที่เพิ่ม -->
              <div class="col pt-2"
                style="height: 17vh; border: 5px solid #E5E2F3;border-radius: 20px; background-color: #A38BDC;">
                <span>ผู้ติดเชื้อเพิ่มขึ้น</span>
                <label class="d-flex justify-content-center align-items-center"><b
                    th:text="${#numbers.formatDecimal(covid_information.newCase, 0, 'COMMA', 0, 'POINT')}" /></label>
              </div>

              <!-- จำนวนผู้ที่รักษหายเพิ่ม -->
              <div class="col pt-2"
                style="border: 5px solid #E5E2F3; height: 17vh; border-radius: 20px; background-color: #8A77B9;">
                <span>ผู้ป่วยที่รักษาหายเพิ่ม</span>
                <label class="d-flex justify-content-center align-items-center"><b
                    th:text="${#numbers.formatDecimal(covid_information.newRecovered, 0, 'COMMA', 0, 'POINT')}" /></label>
              </div>

              <!-- จำนวนผู้เสียชีวิตเพิ่ม -->
              <div class="col pt-2"
                style="border: 5px solid #E5E2F3; height: 17vh; border-radius: 20px; background-color: #BAAED6;">
                <span>ผู้เสียชีวีตเพิ่มขึ้น</span>
                <label class="d-flex justify-content-center align-items-center"><b
                    th:text="${#numbers.formatDecimal(covid_information.newDeath, 0, 'COMMA', 0, 'POINT')}" /></label>
              </div>
            </div>
          </div>
        </div>
      </div>

      <div class="container-fluid">
        <div class="row">
          <div class="col">
            <div class="row row-cols-2 d-flex justify-content-evenly p-2 mt-4"
              style="background-color: #FFE1FE; border-radius: 20px;">

              <!-- ผู้ติดเชื้อเพิ่มขี้น -->
              <div class="col-12 pt-2"
                style="height: 17vh; border: 5px solid #E5E2F3; border-radius: 20px; background-color: #9D698B;">
                <span>ผู้ติดเชื้อสะสม</span>
                <label class="d-flex justify-content-center align-items-center"><b
                    th:text="${#numbers.formatDecimal(covid_information.totalCase, 0, 'COMMA', 0, 'POINT')}" /></label>
              </div>

              <!-- จำนวนผู้ที่รักษหายสะสม -->
              <div class="col pt-2"
                style="border: 5px solid #E5E2F3; height: 17vh; border-radius: 20px; background-color: #B47893;">
                <span>ผู้ป่วยที่รักษาหายสะสม</span>
                <label class="d-flex justify-content-center align-items-center"><b
                    th:text="${#numbers.formatDecimal(covid_information.totalRecovered, 0, 'COMMA', 0, 'POINT')}" /></label>
              </div>

              <!-- จำนวนผู้เสียชีวิตสะสม -->
              <div class="col pt-2"
                style="border: 5px solid #E5E2F3; height: 17vh; border-radius: 20px; background-color: #B492A8;">
                <span>ผู้เสียชีวีตสะสม</span>
                <label class="d-flex justify-content-center align-items-center"><b
                    th:text="${#numbers.formatDecimal(covid_information.totalDeath, 0, 'COMMA', 0, 'POINT')}" /></label>
              </div>

            </div>
          </div>
        </div>
      </div>
    </div>
  </div>

  <footer class="text-center text-lg-start">
    <!-- Copyright -->
    <div class="d-flex text-center text-light p-3" style="font-family: 'Kanit', sans-serif;"><b>Phatree Bonoh</b>
      <div class="tick"></div> <b>Theerapat Traikaew</b>
      <div class="tick"></div><b>Sittidach Kaeorawang</b>
    </div>
    <!-- Copyright -->
  </footer>

  <script  src="script.js"></script>
</body>

</html>